DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DSRReferencedDateTimeList Class Reference

Class for referenced date/time list. More...

Inheritance diagram for DSRReferencedDateTimeList:

## Public Member Functions
| DSRReferencedDateTimeList ()
| default constructor
| DSRReferencedDateTimeList (const DSRReferencedDateTimeList &lst)
| copy constructor More...
virtual | ~DSRReferencedDateTimeList ()
| destructor
DSRReferencedDateTimeList & | operator= (const DSRReferencedDateTimeList &lst)
| assignment operator More...
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char separator=',') const
| print list of referenced date/time. More...
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of referenced date/time More...
OFCondition | write (DcmItem &dataset) const
| write list of referenced date/time More...
OFCondition | putString (const char *stringValue)
| put list of referenced date/time as a string. More...
Public Member Functions inherited from DSRListOfItems< OFString >
| DSRListOfItems ()
| default constructor
| DSRListOfItems (const DSRListOfItems< OFString > &lst)
| copy constructor More...
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< OFString > & | operator= (const DSRListOfItems< OFString > &lst)
| assignment operator More...
OFBool | operator== (const DSRListOfItems< OFString > &lst) const
| comparison operator "equal" More...
OFBool | operator!= (const DSRListOfItems< OFString > &lst) const
| comparison operator "not equal" More...
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty More...
size_t | getNumberOfItems () const
| get number of items contained in the list More...
OFBool | isElement (const OFString &item) const
| check whether specified item is contained in the list More...
const OFString & | getItem (const size_t idx) const
| get reference to the specified item More...
OFCondition | getItem (const size_t idx, OFString &item) const
| get copy of the specified item More...
OFCondition | getItems (OFVector< OFString > &items) const
| get copy of all items (as a vector) More...
void | addItem (const OFString &item)
| add item to the list More...
void | addOnlyNewItem (const OFString &item)
| add item to the list only if it's not already contained More...
void | addItems (const OFVector< OFString > &items)
| add items to the list More...
OFCondition | insertItem (const size_t idx, const OFString &item)
| insert item at specified position to the list More...
OFCondition | removeItem (const size_t idx)
| remove item from the list More...

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< OFString >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(OFString) &iterator) const
| goto specified item position More...
OFBool | gotoItem (const OFString &item, OFLIST_TYPENAME OFListConstIterator(OFString) &iterator) const
| goto specified item More...
Protected Attributes inherited from DSRListOfItems< OFString >
OFList< OFString > | ItemList
| the list maintained by this class

## Detailed Description

Class for referenced date/time list.

## Constructor & Destructor Documentation

## ◆ DSRReferencedDateTimeList()

DSRReferencedDateTimeList::DSRReferencedDateTimeList | ( | const DSRReferencedDateTimeList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

## Member Function Documentation

## ◆ operator=()

DSRReferencedDateTimeList& DSRReferencedDateTimeList::operator= | ( | const DSRReferencedDateTimeList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

## ◆ print()

OFCondition DSRReferencedDateTimeList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = `0`,
|  | const char | separator = `','`
| ) |  | const

print list of referenced date/time.

The output of a typical list looks like this: 20001010120000, ...

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  separator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRReferencedDateTimeList::putString | ( | const char * | stringValue | ) |

put list of referenced date/time as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of date/time values. The conformance of each value to the Date Time (DT) value representation is not checked.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRReferencedDateTimeList::read | ( | DcmItem & | dataset,
|  | const size_t | flags
| ) |  |

read list of referenced date/time

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRReferencedDateTimeList::write | ( | DcmItem & | dataset | ) | const

write list of referenced date/time

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrtcodt.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1